package com.cf.imes.module.executor.enums;


import lombok.Getter;
import lombok.RequiredArgsConstructor;


/**
 * @author ES 索引类型
 */

@RequiredArgsConstructor
@Getter
public enum EsIndexEnum {


    ORDER_PLATE_MODEL("生产单板材造型", "imes_order_plate_model"),

    ORDER_OPTIMIZE_PLATE_MODEL("排单优化数据", "imes_order_optimize_plate_model"),

    ORDER_PARTS_REMARK_MODEL("生产单配件备注", "imes_order_parts_remark_model"),

    PLAN_PROCESS_SCHEME_OPTIMIZE_MODEL("排单的加工方案组对应的优化信息", "imes_plan_process_scheme_optimize_model"),

    PLAN_ACTUAL_GOODS_MODEL("排单混单时选择的实际生产的大板信息", "imes_plan_actual_goods_model"),

    PLAN_PROCESS_SCHEME_CONFIG("排单的加工方案组对应的配置信息", "imes_plan_process_scheme_config_model"),

    ORDER_PLATE_COMPRESS_MODEL("生产单板材造型的压缩数据","imes_order_plate_compress_model");

    /**
     * 索引名称
     */
    private final String name;

    /**
     * 索引
     */
    private final String index;



}
